/***************************************************************************
 *   Copyright (C) 2005 by Bernd Juraschek   *
 *   kvdrmon@bjusystems.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FILESELECTOR_H
#define FILESELECTOR_H

class QString;
class KPushButton;
class KLineEdit;
class QCheckBox;
class QLabel;

/**
 * file selector widget
 * - check box for enabling the file selection
 * - file name input box
 * - button for opening a file selection dialog
 * - button for playing the selected file (for audio files)
 *
 * @author Bernd Juraschek
 */
class fileselector : public QWidget
{
Q_OBJECT
public:
    fileselector(QWidget *parent, const QString usage, const QString labelText, const char *name, bool selDir);
    ~fileselector();
private slots:
  void selectFile();
  void playFile();
  void updateEnabled();
public:
private:
  KLineEdit * edit;
  KPushButton * play;
  KPushButton * select;
  QCheckBox * check;
  QLabel * label;
};

#endif
