/***************************************************************************
 *   Copyright (C) 2005 by Bernd Juraschek   *
 *   kvdrmon@bjusystems.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ICONMAGIC_H
#define ICONMAGIC_H

#include "diskspace.h"

class iconloader;
class settings;

/**
 * helper class for creating the tray icons
 * @author Bernd Juraschek
 */
class iconmagic
{
public:
  iconmagic(iconloader * iconLoader);
  ~iconmagic();
public:
  QPixmap createCountDownIcon(int countDown);
  QPixmap createTimerIcon(time_t timer);
  QPixmap createActionIcon(bool plays, int records);
  QPixmap createEmptyIcon(int w, int h);
  QPixmap createSpaceIcon(diskspace& space, settings * prefs, bool full);
  void mergeIcons(QPixmap& iconDest, int x, int y, QPixmap iconInsert);
  void insertIcons(QPixmap& destIcon, QValueList<QPixmap> icons);
private:
  iconloader * iconLoader;
};

#endif
