/***************************************************************************
 *   Copyright (C) 2005 by Bernd Juraschek   *
 *   kvdrmon@bjusystems.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ICONS_H
#define ICONS_H

#include <qpixmap.h>
#include "iconloader.h"
#include "iconmagic.h"

class settings;
class diskspace;

/**
@author Bernd Juraschek
*/
class icons
{
private:
  enum Action { NoAction, Disconnected, Idle, Active };
  enum Mode { NoMode, ShowCountDown, ShowAction };
  enum TimerMode { NoTimer, TimerCountDown, TimerTimer };
public:
 icons(settings * prefs, const QString& baseDir);
 ~icons();
public:
  QPixmap getIcon(bool connected, bool plays, int records, time_t timer,
                  diskspace& space, int neededSpace, bool& changed);
private:
  iconloader iconLoader;
  iconmagic iconMagic;
  int lastCountDown;
  time_t lastTimer;
  int lastEngineFrame;
  QPixmap actionIcon;
  QPixmap engineIcon;
  QPixmap timerIcon;
  QPixmap spaceIcon;
  QPixmap lastIcon;
  settings * prefs;
  Action lastAction;
  Mode lastMode;
  TimerMode lastTimerMode;
  bool lastPlays;
  int lastRecords;
  int lastSpace;
  int lastSpaceLowPercent;
  bool lastSpaceMonitor;
  bool lastFull;
  bool lastToggle;
private:
  void setActionIcon(bool connected, bool plays, int records, bool& changed);
  void setTimerIcon(time_t timer, bool& changed);
  void setEngineIcon(bool connected, bool active, bool& changed);
  void setSpaceIcon(diskspace& space, bool full, bool& changed);
};

#endif
