/***************************************************************************
 *   Copyright (C) 2005 by Bernd Juraschek   *
 *   vdrmon@bjusystems.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <kwin.h>
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kstartupinfo.h>
#include <klocale.h>

#include "status.h"
#include "kvdrmon.h"

static const char description[] =
    I18N_NOOP("VDR monitor application");

static const char version[] = "0.6";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("kvdrmon", I18N_NOOP("kvdrmon"), version, description,
                     KAboutData::License_GPL, "(C) 2005 Bernd Juraschek", 0, 0, "kvdrmon@bjusystems.de");
    about.addAuthor( "Bernd Juraschek", 0, "kvdrmon@bjusystems.de" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

    QString baseDir = app.applicationDirPath() + "/../";
    status stat;
    kvdrmon mon(&stat, baseDir, &app);

    KWin::setSystemTrayWindowFor(mon.winId(), 0);
    mon.show();
    app.setTopWidget(&mon);

    KStartupInfo::appStarted();

    args->clear();

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

