/***************************************************************************
 *   Copyright (C) 2005 by Bernd Juraschek   *
 *   kvdrmon@bjusystems.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef RECORDING_H
#define RECORDING_H

#include <qstring.h>

/**
@author Bernd Juraschek
*/
class recording
{
public:
  recording();
  recording(const QString& text);
  ~recording();
public:
  QString& getStart();
  QString& getStop();
  QString& getTitle();
  QString& getSingleLineTitle();
  QString& getComment();
  double getHours();
  QString getRemaining();
  QString toString();
  int getNeededSpace(int MBperHour);
  bool operator==(const recording& rec);
private:
  QString splitLines(QString text);
  int getRemainingSeconds();
private:
  QString channel;
  QString start;
  QString stop;
  QString title;
  QString singleLineTitle;
  QString comment;
  double hours;
  time_t startTime;
  time_t stopTime;
};

#endif
