/***************************************************************************
 *   Copyright (C) 2005 by Bernd Juraschek   *
 *   vdrmon@bjusystems.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "settings.h"

settings::settings()
 : KConfigSkeleton()
{
  setCurrentGroup("Vdr");
  addItemString("VdrHost", vdrHost, "localhost");
  addItemInt("VdrPort", vdrPort, 2011);
  addItemBool("SendAlive", sendAlive, true);
  addItemInt("AliveInterval", aliveInterval, 60);
  addItemInt("AliveTimeout", aliveTimeout, 60);

  setCurrentGroup("Warnings");
  addItemBool("WarnRecording", warnRecording, true);
  addItemBool("WarnScheduled", warnScheduled, true);
  addItemInt("WarnScheduledTimeValue", warnScheduledTimeValue, 1);
  addItemInt("WarnScheduledTimeUnit", warnScheduledTimeUnit, 1);
  addItemInt("ShutdownWait", shutdownWait, 300);

  setCurrentGroup("Sounds");
  addItemBool("StartSoundActive", startSoundActive, false);
  addItemPath("StartSoundFile", startSoundFile, "");
  addItemBool("StopSoundActive", stopSoundActive, false);
  addItemPath("StopSoundFile", stopSoundFile, "");

  setCurrentGroup("Tray");
  addItemBool("ShowTimer", showTimer, true);
  addItemBool("ToggleTimer", toggleTimer, true);
  addItemBool("DontToggleIfIdle", dontToggleIfIdle, false);
  addItemInt("ToggleTimerInterval", toggleTimerInterval, 3);
  addItemInt("TimerMode", timerMode, 0);
  addItemBool("ShowEventPopup", showEventPopup, true);
  addItemBool("ShowSpace", showSpace, true);
  addItemInt("SpaceMode", spaceMode, 0);

  setCurrentGroup("Disk");
  addItemBool("SpaceMonitor", spaceMonitor, true);
  addItemInt("MBPerHour", mbPerHour, 2700);
  addItemBool("NoSpaceSoundActive", noSpaceSoundActive, false);
  addItemPath("NoSpaceSoundFile", noSpaceSoundFile, "");
  addItemBool("LowSpaceSoundActive", lowSpaceSoundActive, false);
  addItemPath("LowSpaceSoundFile", lowSpaceSoundFile, "");
  addItemInt("LowPercentFull", spaceLowPercentFull, 90);
}


settings::~settings()
{
}


