/***************************************************************************
 *   Copyright (C) 2005 by Bernd Juraschek   *
 *   kvdrmon@bjusystems.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef SETTINGS_H
#define SETTINGS_H

#include <kconfigskeleton.h>

/**
@author Bernd Juraschek
*/
class settings : public KConfigSkeleton
{
public:
    settings();
    ~settings();

public:
  // vdr
  QString vdrHost;
  int vdrPort;
  bool sendAlive;
  int aliveInterval;
  int aliveTimeout;

  // shutdown
  bool warnRecording;
  bool warnScheduled;
  int warnScheduledTimeValue;
  int warnScheduledTimeUnit;
  int shutdownWait;

  // recording sounds
  bool startSoundActive;
  bool stopSoundActive;
  QString startSoundFile;
  QString stopSoundFile;

  // tray
  bool showTimer;
  bool toggleTimer;
  bool dontToggleIfIdle;
  int toggleTimerInterval;
  int timerMode;
  bool showEventPopup;
  bool showSpace;
  int spaceMode;

  // disk
  bool spaceMonitor;
  int mbPerHour;
  bool noSpaceSoundActive;
  bool lowSpaceSoundActive;
  QString noSpaceSoundFile;
  QString lowSpaceSoundFile;
  int spaceLowPercentFull;
};

#endif
