/***************************************************************************
 *   Copyright (C) 2005 by Bernd Juraschek   *
 *   vdrmon@bjusystems.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <klocale.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qlayout.h>
#include <knuminput.h>
#include <kcombobox.h>

#include "timeselector.h"

timeselector::timeselector(QWidget *parent, const QString text, const char *name)
 : QWidget(parent, name)
{
  QString basename(name);

  // controls
  QLabel * label = new QLabel(text, this);
  KNumInput * input = new KIntNumInput(this, "kcfg_" + basename + "Value");
  KComboBox *combo = new KComboBox(this, "kcfg_" + basename + "Unit");
  combo->insertItem(i18n("second(s)"));
  combo->insertItem(i18n("minute(s)"));
  combo->insertItem(i18n("hour(s)"));
  combo->insertItem(i18n("day(s)"));

  // grid
  QGridLayout * grid = new QGridLayout(this, 1, 3, 5);
  grid->addWidget(label, 0, 0);
  grid->addWidget(input, 0, 1);
  grid->addWidget(combo, 0, 2);
}

timeselector::~timeselector()
{
}


#include "timeselector.moc"
