/***************************************************************************
 *   Copyright (C) 2005 by Bernd Juraschek   *
 *   kvdrmon@bjusystems.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef TOOLTIP_H
#define TOOLTIP_H

#include "diskspace.h"

class QString;
class recordings;
class kvdrmon;

/**
@author Bernd Juraschek
*/
class tooltip
{
public:
  tooltip(kvdrmon * main);
  ~tooltip();
public:
  void setStatus(bool connected);
  void setPlaying(QString plays);
  void setRecording(recordings& recs);
  void setScheduled(recordings& recs);
  void setSpace(diskspace& space);
  void update(int needed);
  void setStart(time_t start);
  void setShutdown(time_t stop);
private:
  kvdrmon * main;
  QString status;
  QString plays;
  QString records;
  QString scheduled;
  diskspace space;
  QString text;
  QString start;
  QString stop;
};

#endif
